import xmlParser from 'fast-xml-parser';

class FlowStep {
    constructor(context, stepConfiguration) {
        this.context = context;
        this.stepConfiguration = stepConfiguration;
    }
    execute() {
        var options = {
            attributeNamePrefix: "_",
            ignoreAttributes: false,
            parseNodeValue: false,
            parseAttributeValue: true,
        };
        var parsedXML = xmlParser.parse("<a b='true'><c d='dd' e='2'/></a>", options);
        console.log(parsedXML);
        var firstStep = this.stepConfiguration.startAt;
        for (var i = 0; i < this.stepConfiguration.steps.length; ++i) {
            var step = this.stepConfiguration.steps[i];
            if (firstStep === step.id) {
                var processor = new step.processor(this.context, step.configuration);
                processor.execute();
                break;
            }
        }
    }
}

export default FlowStep;